Create in temporal
Creates an item with the data provided in the temporal index.
Authorizations
Doofinder API key. Pass it as: Authorization: Token <api_key>
Path Parameters
Unique id of a search engine.
^[a-f0-9]{32}$Name of an index.
^[a-z][a-z0-9_]*$Body
A "searchable" element. Items are the objects that form the search results.
Item id
This field indicates the group to which this item belongs to. All items with the same group_id will be collapsed into one in search results, returning the most relevant one or the group leader if they all have the same score.
This field indicates the item chosen as the default among its group. It will be returned in search results if there is no other item with a higher score.
(Deprecated) This field indicates the item chosen as the default among its group. It will be returned in search results if there is no other item with a higher score.
A numeric score boosting. It multiplies the natural score of the item for a search. For instance, if boost is greater than 1.0 the item will appear higher in the results. If it is lower than 1.0, it will appear lower. The minimum value is 0.0.
x >= 0This field has special behaviour when Indice has product preset, categories
shall be specified as:
{
...
categories: [
'parent category > inner category > leaft category',
'other parent > other inner > other leaft'
]
}
This way, when using categories field in facets, it will work as expected. When Index has generic preset, this works as normal field but it should be string.
Auto created field that gets the min value between price or sale_price fields, if added in the document.
It gets null if doesn't find any of these fields.
It is not necessary to send this field to index it.
Response
Item created.
A "searchable" element. Items are the objects that form the search results.
Item id
This field indicates the group to which this item belongs to. All items with the same group_id will be collapsed into one in search results, returning the most relevant one or the group leader if they all have the same score.
This field indicates the item chosen as the default among its group. It will be returned in search results if there is no other item with a higher score.
(Deprecated) This field indicates the item chosen as the default among its group. It will be returned in search results if there is no other item with a higher score.
A numeric score boosting. It multiplies the natural score of the item for a search. For instance, if boost is greater than 1.0 the item will appear higher in the results. If it is lower than 1.0, it will appear lower. The minimum value is 0.0.
x >= 0This field has special behaviour when Indice has product preset, categories
shall be specified as:
{
...
categories: [
'parent category > inner category > leaft category',
'other parent > other inner > other leaft'
]
}
This way, when using categories field in facets, it will work as expected. When Index has generic preset, this works as normal field but it should be string.
Auto created field that gets the min value between price or sale_price fields, if added in the document.
It gets null if doesn't find any of these fields.
It is not necessary to send this field to index it.